---
title: "ClickHouse 表引擎之日志"
date: 2020-10-08T18:23:00+08:00
lastmod: 2020-10-08T18:23:00+08:00
tags: []
categories: ["clickhouse"]
---

## 日志表引擎简介
- 数据量 100 万行一下，一次写入多次查询
- 不支持索引、分区、并发读写

## TinyLog 表引擎
- 数据文件按列存储
- 无标记文件，不支持并行读取
- 声明
    ```sql
    ENGINE = TinyLog()
    ```

## StripeLog 表引擎
- 只用数据写入一个文件
- 有数据标记文件，可并行读取
- 声明
    ```sql
    ENGINE = StripeLog()
    ```

## Log 表引擎
- 数据文件按列存储
- 有数据标记文件，可并行读取
- 声明
    ```sql
    ENGINE = Log()
    ```

