---
title: "ClickHouse 维护"
date: 2020-10-10T01:30:00+08:00
lastmod: 2020-10-10T01:30:00+08:00
tags: []
categories: ["clickhouse"]
---

## 指标
- system.metrics: 正在执行的概要信息，如正在运行的查询和操作数量
- system.events: 累积概要信息，如总的查询次数或 SELECT 次数
- system.asynchronous_metrics: 后台异步运行的概要信息，如分配内存、队列中的人物数量

## 日志
- system.query: 执行用户、查询语句、执行时间、返回数据量等信息
    ```xml
    <query_log>
      ...
    <query_log>
    ```

- query_thread_log: 查询语句、执行线程、执行时间、内存使用量
- part_log: MergeTree 系列表引擎的操作类型、表名称、分区信息、执行时间
- text_log: 记录 clickhouse 运行时的终端输出日志
- metric_log: 汇聚 system.metrics 和 system.events

