---
title: "ClickHouse 表引擎之 Merge"
date: 2020-10-08T18:35:00+08:00
lastmod: 2020-10-08T18:35:00+08:00
tags: []
categories: ["clickhouse"]
---

## Merge 表引擎简介
- 本身不存储数据，只整合其他数据表
- 不支持数据写入
- 合并异步查询的结果集
- 各异步查询的数据表需要在同一个数据库下，且表结构相同，表引擎和分区定义可不同

## 创建 Merge 表引擎
- 声明
    ```sql
    ENGINE = Merge(database, table_name)
    ```

- database: 数据库名
- table_name: 数据表名，支持正则表达式
- Merge 引擎表可以使用虚拟字段 "\_table" 来查询和过滤数据表

